> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatis.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get components

> Get the components of a stream



## OpenAPI

````yaml get /stream-service/api/v1/streams/{streamId}/components
openapi: 3.0.1
info:
  title: Vatis Stream Service
  description: Vatis Stream Service API
  version: '1.0'
servers:
  - url: https://stream-service.vatis.tech
    description: Default server
security: []
paths:
  /stream-service/api/v1/streams/{streamId}/components:
    get:
      tags:
        - stream-resource-impl
      summary: Get components
      description: Get the components of a stream
      operationId: getComponents
      parameters:
        - name: streamId
          in: path
          description: Stream id
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Stream components retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StreamComponentsDto'
        '400':
          description: Exception on webhook configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Exception on client authorization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Stream usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Failed to create the stream
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '501':
          description: Requested feature is not implemented
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: One or more processors are not available
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Default error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerToken: []
components:
  schemas:
    StreamComponentsDto:
      type: object
      properties:
        streamId:
          type: string
          format: uuid
        groupId:
          type: string
          format: uuid
        state:
          type: string
          enum:
            - READY
            - COMPLETED
            - FAILED
            - EXPIRED
        stateDescription:
          type: string
        stateChangedTimestamp:
          type: string
          format: date-time
        gateway:
          $ref: '#/components/schemas/GatewayComponentDto'
        processors:
          type: array
          items:
            $ref: '#/components/schemas/ProcessorComponentDto'
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
        title:
          type: string
        message:
          type: string
        internalErrorName:
          type: string
        nestedErrors:
          type: array
          items:
            type: object
    GatewayComponentDto:
      type: object
      properties:
        state:
          type: string
          enum:
            - CONNECTED
            - DISCONNECTED
            - CLOSED
            - ERROR
        stateChangedTimestamp:
          type: string
          format: date-time
        stateDescription:
          type: string
    ProcessorComponentDto:
      type: object
      properties:
        processorId:
          type: string
        state:
          type: string
          enum:
            - RUNNING
            - COMPLETED
            - WAITING
            - ERROR
            - CLOSED
        stateChangedTimestamp:
          type: string
          format: date-time
        stateDescription:
          type: string
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````